Subject: Re: [PATCH] docbook: fix fatal rapidio yet again (and more to come)

From: Andrew Morton <[email-masked]>
Date: Wed, 30 Apr 2008 12:12:39 -0700

On Wed, 30 Apr 2008 14:01:12 -0500
Kumar Gala <[email-masked]> wrote:

> 
> On Apr 30, 2008, at 1:35 PM, Andrew Morton wrote:
> > On Tue, 29 Apr 2008 20:10:55 -0700 (PDT)
> > "Randy.Dunlap" <[email-masked]> wrote:
> >
> >> From: Randy Dunlap <[email-masked]>
> >>
> >> Don't refer to file that no longer exists:
> >> docproc: linux-2.6.25-git14/arch/powerpc/kernel/rio.c: No such file  
> >> or directory
> >>
> >> Signed-off-by: Randy Dunlap <[email-masked]>
> >> ---
> >> Documentation/DocBook/rapidio.tmpl |    1 -
> >> 1 file changed, 1 deletion(-)
> >>
> >> --- linux-2.6.25-git14.orig/Documentation/DocBook/rapidio.tmpl
> >> +++ linux-2.6.25-git14/Documentation/DocBook/rapidio.tmpl
> >> @@ -133,7 +133,6 @@
> >> !Idrivers/rapidio/rio-sysfs.c
> >>      </sect1>
> >>      <sect1 id="PPC32_support"><title>PPC32 support</title>
> >> -!Iarch/powerpc/kernel/rio.c
> >> !Earch/powerpc/sysdev/fsl_rio.c
> >> !Iarch/powerpc/sysdev/fsl_rio.c
> >>      </sect1>
> >
> > grumble.
> >
> > This is a subset of rapidio-fix-docbook-references.patch, but I  
> > appear to
> > be unable to interest anyone in merging/reviewing/accepting/anything- 
> > else
> > that quite large set of patches.
> >
> > Guys, those patches were sent six weeks ago and it now looks like  
> > they will
> > miss 2.6.26.  This is pretty slack of us.  Help?
> 
> Odd.  I thought Paul had picked up a docbook RapidIO patch from you in  
> the latest merge round.
> 

Well it's more than "a" patch.  The six-week-old patch series is:

rapidio-add-memory-mapping-driver-to-rapidio.patch
rapidio-add-rapidio-space-allocation-bitmap-arithmetic.patch
rapidio-add-fsl-rapidio-controller-memory-ops-functions.patch
rapidio-add-the-rapidio-master-port-maintance-and-doorbell-window-to-space-resources.patch
rapidio-add-rapidio-proc-fs-for-memory-mapping-debugging.patch
rapidio-add-the-memory-mapping-support-in-rionet-driver.patch
rapidio-fix-docbook-references.patch
rapidio-fix-kernel-doc-problems.patch

totalling:

 arch/powerpc/sysdev/fsl_rio.c       |   13 +
 include/linux/rio.h                 |   10 
 drivers/net/Kconfig                 |   10 
 drivers/net/rionet.c                |  324 ++++++++++++++++++++++++++++++
 drivers/rapidio/Makefile            |    1 
 drivers/rapidio/rio.c               |   10 
 drivers/rapidio/sallocator/Kconfig  |    9 
 drivers/rapidio/sallocator/Makefile |   12 +
 drivers/rapidio/sallocator/bitmap.c |  384 ++++++++++++++++++++++++++++++++++++
 include/linux/rio.h                 |   10 
 include/linux/rio_drv.h             |   41 +++
 16 files changed, 1425 insertions(+), 14 deletions(-)

(seems that I forgot to cc Jeff on the rionet change too).

Oh well.  If nobody puts their hand up in the next 24 hours or so I'll just
send it all in to Linus.